<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Banner Slide</title>
    <link rel="icon" type="image/x-icon" href="assets/images/favicon.ico">

    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="node_modules/bootstrap/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="node_modules/bootstrap-icons/font/bootstrap-icons.min.css">
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-lg">
            <div class="container">
                <a class="navbar-brand" href="/"><img src="assets/images/logo-512x512.png" alt="Logo" width="54" height="54"></a>
                <button class="navbar-toggler border-0" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <i class="bi bi-list text-white fs-2"></i>
                </button>
                <div class="collapse navbar-collapse justify-content-end" id="navbarNav">
                    <ul class="navbar-nav text-center">
                        <li class="nav-item">
                            <a class="nav-link text-white" target="_blank" href="https://en.wikipedia.org/wiki/%22Hello,_World!%22_program"><i class="bi bi-cup-hot"></i> "Hello, World!"</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-white" target="_blank" href="http://info.cern.ch/hypertext/WWW/TheProject.html"><i class="bi bi-door-open"></i> World Wide Web</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-white" target="_blank" href="https://www.w3schools.com/html/html_intro.asp"><i class="bi bi-filetype-html"></i> What is HTML?</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>

    <main>
        <div id="carouselExampleAutoplaying" class="carousel slide" data-bs-ride="carousel">
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img src="https://source.unsplash.com/random/computer/" class="d-block w-100" alt="image banner slide">
              </div>
              <div class="carousel-item">
                <img src="https://source.unsplash.com/random/technology/" class="d-block w-100" alt="image banner slide">
              </div>
              <div class="carousel-item">
                <img src="https://source.unsplash.com/random/digital/" class="d-block w-100" alt="image banner slide">
              </div>
            </div>
            <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleAutoplaying" data-bs-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="visually-hidden">Previous</span>
            </button>
            <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleAutoplaying" data-bs-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="visually-hidden">Next</span>
            </button>
        </div>
    </main>
    <footer class="d-flex flex-wrap justify-content-between align-items-center py-4">
        <div class="container">
            <div class="col-md-4 d-flex align-items-center">
                <a class="navbar-brand me-3" href="/"><img src="assets/images/logo-512x512.png" alt="Logo" width="54" height="54"></a>
                <span class="mb-3 mb-md-0 text-white">© 2023 Banner Slide <i class="bi bi-balloon"></i></span>
            </div>
        </div>
    </footer>

    <script src="node_modules/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>